<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/AIBehaviour.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dcf/_a_i_behaviour_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AIBehaviour.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dcf/_a_i_behaviour_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">    1</a></span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">/*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">class AIMessage: Managed</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"></span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">{</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">    Param m_Parameters;</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">    int m_CrcMessage;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">    Param GetParameters();</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">    int GetTypeNameCRC();</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">}</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"></span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">class AIMessageTest : AIMessage</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">{</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">    int GetTypeNameCRC() {return testCRC;}</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">    //static int testCRC = 5;   </span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">}</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment"></span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">*/</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">   26</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a42e7b9f34511172d725f860cf61cc267">   28</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a42e7b9f34511172d725f860cf61cc267">AIBehaviourHLData</a>() {}</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#adb1b733ec168ed37da571d8fcf1d47f8">   29</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#adb1b733ec168ed37da571d8fcf1d47f8">~AIBehaviourHLData</a>() {}</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">//void ParseConfig(ParamEntryPar param, AIWorld* world, AIAgentTemplate* agentTemplate) {};</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a2326baff4ccb974bfa3c41ae081d4a0a">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a2326baff4ccb974bfa3c41ae081d4a0a">OnParseConfig</a>();   </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">//Can be use only inside OnParseConfig function</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">   35</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">ParseBehaviourSlot</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">   36</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">ParseAlertLevel</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af16265ee649b9f0fc2796da40e3c5f7c">   37</a></span>    proto native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af16265ee649b9f0fc2796da40e3c5f7c">ReadParamValue</a>(<span class="keywordtype">string</span> paramName, <span class="keywordtype">float</span> defValue);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>}</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">class </span><a class="code hl_variable" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>{</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_variable" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a>() {}</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a6725bce485ccd888e74866246a27f167">   45</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#abc7581cbb78829444c0e8ef025041f62">~AIBehaviourHL</a>() {}</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a122ca54571452bd5756c2f86b13aafd3">   46</a></span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#ac4560b52e412d8c53d0c58cf1a7de172">   47</a></span>    proto native <a class="code hl_class" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ac4560b52e412d8c53d0c58cf1a7de172">GetTemplateData</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a8205b960f863843d84dcde6e2f23acc1">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#a8205b960f863843d84dcde6e2f23acc1">OnInit</a>(){};</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">//private void AIBehaviourHL_script() {};</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">//private void ~AIBehaviourHL_script() {};</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a5660901097834875c2900888ee8e28b8">   52</a></span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a581baae57e2f777ae66a61a78da96591">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ae9ea1588ac80b8dacb1f19f70b03be56">Simulate</a> (<span class="keywordtype">float</span> timeDelta)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#ab4e5cd1fe1b3bf7307cb2b9e63c5ac98">   54</a></span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="comment">//time = time + timeDelta; </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="comment">//Print(&quot;A2&quot;);</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">//void OnNoise(AINoiseInfo noise, EntityAI source){}</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a2b06a47f169f6529991137ea0ce25f77">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#a2b06a47f169f6529991137ea0ce25f77">OnDamage</a>(<span class="keywordtype">float</span> damage, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source){}</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#ac240c7cf90966a0243839a28c1e127d2">   63</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ac240c7cf90966a0243839a28c1e127d2">OnDamageInflicted</a>(){}</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#adf50c6a2e73048031341b9d4f910e875">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#adf50c6a2e73048031341b9d4f910e875">OnAnimationEvent</a>(<span class="keywordtype">int</span> nameCrc){}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">//void OnMessage(AIMessage message){}</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">//void OnBehaviourSwitched(AIBehaviour* behaviour){}</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#ae0f70247c2adc861cc69ba2e92345d10">   67</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ae0f70247c2adc861cc69ba2e92345d10">SetNextBehaviour</a>(<span class="keywordtype">int</span> BehaviourCrc);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#a2df4dbbc2b695f1a8e97fd200a07aaeb">   68</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#a2df4dbbc2b695f1a8e97fd200a07aaeb">SwitchToNextBehaviour</a>();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d5/dcf/_a_i_behaviour_8c.html#ad2812cc9a55d3f30af8e1b91aea638eb">   70</a></span>    <span class="keyword">static</span> proto <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ad2812cc9a55d3f30af8e1b91aea638eb">RegAIBehaviour</a>(<span class="keywordtype">string</span> behname,<span class="keyword">typename</span> behClass, <span class="keyword">typename</span> behClassData);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>};</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html">   74</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html">AIBehaviourHLZombie2</a> : <a class="code hl_variable" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>{</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">//AIBehaviourHLDataZombie2 data;</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">//int state;</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="comment">//float time;</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a63e791f697cbe436a521de6151e720e4">   79</a></span>    <a class="code hl_class" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">AIBehaviourHLDataZombie2</a> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a63e791f697cbe436a521de6151e720e4">GetData</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">AIBehaviourHLDataZombie2</a>.Cast( <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ac4560b52e412d8c53d0c58cf1a7de172">GetTemplateData</a>() );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a72ea4e906c705bb96d5933bfe3d2cc9b">   84</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a72ea4e906c705bb96d5933bfe3d2cc9b">AIBehaviourHLZombie2</a>() {}</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#ac8ab58779bb3795bb322292e922825cb">   85</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#ac8ab58779bb3795bb322292e922825cb">~AIBehaviourHLZombie2</a>() {}</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a021bc63d7d4eab5f9c038224b26cdbc7">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a021bc63d7d4eab5f9c038224b26cdbc7">OnInit</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#ae0f70247c2adc861cc69ba2e92345d10">SetNextBehaviour</a>(0x7b9a4ee9);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_function" href="../../d5/dcf/_a_i_behaviour_8c.html#a2df4dbbc2b695f1a8e97fd200a07aaeb">SwitchToNextBehaviour</a>();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="comment">//Print(&quot;OnInit&quot;);</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="comment">//data = GetData();</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="comment">//float a = data.m_fDamageToCrawl;</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">//Print(a);</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#af23c82ef8ca694fefbeb1af88a40a859">   97</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#af23c82ef8ca694fefbeb1af88a40a859">Simulate</a> (<span class="keywordtype">float</span> timeDelta)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="comment">//time = time + timeDelta; </span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="comment">//Print(&quot;B2&quot;);</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a9848cca5dc067cd7eafd97ed9f4e65fb">  103</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a9848cca5dc067cd7eafd97ed9f4e65fb">ShowDebugInfo</a>() </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="comment">//Print(time);</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    };</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">//void OnMessage(AIMessage message)</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">//{</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="comment">//int ID = message.GetTypeNameCRC();</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="comment">//Print(ID);</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">//}</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>};</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">  116</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">AIBehaviourHLDataZombie2</a> : <a class="code hl_class" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>{</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#a8e05b6fae443a8e5bd3f311e08fdfdf7">  118</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#a8e05b6fae443a8e5bd3f311e08fdfdf7">m_fDamageToCrawl</a>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab7e88bcf53c0b0320989901a27156ebe">  119</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab7e88bcf53c0b0320989901a27156ebe">m_fCrawlProbability</a>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac96adbbc0ae3f1e9b869fb983bd1ab96">  121</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac96adbbc0ae3f1e9b869fb983bd1ab96">AIBehaviourHLDataZombie2</a>() {}</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab8390fdada73f404d049dc5f53a50b36">  122</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab8390fdada73f404d049dc5f53a50b36">~AIBehaviourHLDataZombie2</a>() {}</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac423389ca01507f79c9d1263f6081f1e">  124</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac423389ca01507f79c9d1263f6081f1e">OnParseConfig</a>()</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;zombie data parse config start&quot;</span>);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">ParseBehaviourSlot</a>(<span class="stringliteral">&quot;Calm&quot;</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">ParseBehaviourSlot</a>(<span class="stringliteral">&quot;Attracted&quot;</span>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">ParseBehaviourSlot</a>(<span class="stringliteral">&quot;Disturbed&quot;</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">ParseBehaviourSlot</a>(<span class="stringliteral">&quot;Alerted&quot;</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">ParseAlertLevel</a>(<span class="stringliteral">&quot;Calm&quot;</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">ParseAlertLevel</a>(<span class="stringliteral">&quot;Disturbed&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">ParseAlertLevel</a>(<span class="stringliteral">&quot;Attracted&quot;</span>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">ParseAlertLevel</a>(<span class="stringliteral">&quot;Alerted&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <a class="code hl_variable" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#a8e05b6fae443a8e5bd3f311e08fdfdf7">m_fDamageToCrawl</a> = <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af16265ee649b9f0fc2796da40e3c5f7c">ReadParamValue</a>(<span class="stringliteral">&quot;damageToCrawl&quot;</span>,0.01);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_variable" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab7e88bcf53c0b0320989901a27156ebe">m_fCrawlProbability</a> = <a class="code hl_function" href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af16265ee649b9f0fc2796da40e3c5f7c">ReadParamValue</a>(<span class="stringliteral">&quot;crawlProbability&quot;</span>,0.01);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;zombie data parse config end&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>};</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="comment">//NewNPC(model,behname,....)</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="ttc" id="a_a_i_behaviour_8c_html_a2b06a47f169f6529991137ea0ce25f77"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#a2b06a47f169f6529991137ea0ce25f77">OnDamage</a></div><div class="ttdeci">void OnDamage(float damage, EntityAI source)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00061">AIBehaviour.c:61</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_a2df4dbbc2b695f1a8e97fd200a07aaeb"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#a2df4dbbc2b695f1a8e97fd200a07aaeb">SwitchToNextBehaviour</a></div><div class="ttdeci">proto native void SwitchToNextBehaviour()</div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_a57dbf1f961cb81d74815d38e3c16f89b"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a></div><div class="ttdeci">AIBehaviourHLZombie2 AIBehaviourHL</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00001">AIBehaviour.c:44</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_a8205b960f863843d84dcde6e2f23acc1"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#a8205b960f863843d84dcde6e2f23acc1">OnInit</a></div><div class="ttdeci">void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00049">AIBehaviour.c:49</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_abc7581cbb78829444c0e8ef025041f62"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#abc7581cbb78829444c0e8ef025041f62">~AIBehaviourHL</a></div><div class="ttdeci">private void ~AIBehaviourHL()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00045">AIBehaviour.c:45</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_ac240c7cf90966a0243839a28c1e127d2"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#ac240c7cf90966a0243839a28c1e127d2">OnDamageInflicted</a></div><div class="ttdeci">void OnDamageInflicted()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00063">AIBehaviour.c:63</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_ac4560b52e412d8c53d0c58cf1a7de172"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#ac4560b52e412d8c53d0c58cf1a7de172">GetTemplateData</a></div><div class="ttdeci">proto native AIBehaviourHLData GetTemplateData()</div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_ad2812cc9a55d3f30af8e1b91aea638eb"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#ad2812cc9a55d3f30af8e1b91aea638eb">RegAIBehaviour</a></div><div class="ttdeci">static proto void RegAIBehaviour(string behname, typename behClass, typename behClassData)</div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_adf50c6a2e73048031341b9d4f910e875"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#adf50c6a2e73048031341b9d4f910e875">OnAnimationEvent</a></div><div class="ttdeci">void OnAnimationEvent(int nameCrc)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00064">AIBehaviour.c:64</a></div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_ae0f70247c2adc861cc69ba2e92345d10"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#ae0f70247c2adc861cc69ba2e92345d10">SetNextBehaviour</a></div><div class="ttdeci">proto native void SetNextBehaviour(int BehaviourCrc)</div></div>
<div class="ttc" id="a_a_i_behaviour_8c_html_ae9ea1588ac80b8dacb1f19f70b03be56"><div class="ttname"><a href="../../d5/dcf/_a_i_behaviour_8c.html#ae9ea1588ac80b8dacb1f19f70b03be56">Simulate</a></div><div class="ttdeci">void Simulate(float timeDelta)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00053">AIBehaviour.c:53</a></div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00026">AIBehaviour.c:27</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_a2326baff4ccb974bfa3c41ae081d4a0a"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a2326baff4ccb974bfa3c41ae081d4a0a">AIBehaviourHLData::OnParseConfig</a></div><div class="ttdeci">void OnParseConfig()</div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_a42e7b9f34511172d725f860cf61cc267"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a42e7b9f34511172d725f860cf61cc267">AIBehaviourHLData::AIBehaviourHLData</a></div><div class="ttdeci">private void AIBehaviourHLData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00028">AIBehaviour.c:28</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_a551f9576483023a0f885477998001476"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#a551f9576483023a0f885477998001476">AIBehaviourHLData::ParseBehaviourSlot</a></div><div class="ttdeci">proto native void ParseBehaviourSlot(string name)</div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_adb1b733ec168ed37da571d8fcf1d47f8"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#adb1b733ec168ed37da571d8fcf1d47f8">AIBehaviourHLData::~AIBehaviourHLData</a></div><div class="ttdeci">private void ~AIBehaviourHLData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00029">AIBehaviour.c:29</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_af16265ee649b9f0fc2796da40e3c5f7c"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af16265ee649b9f0fc2796da40e3c5f7c">AIBehaviourHLData::ReadParamValue</a></div><div class="ttdeci">proto native float ReadParamValue(string paramName, float defValue)</div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_html_af5dd1a1a52cfb97204aebb84bbe794bd"><div class="ttname"><a href="../../d8/d05/class_a_i_behaviour_h_l_data.html#af5dd1a1a52cfb97204aebb84bbe794bd">AIBehaviourHLData::ParseAlertLevel</a></div><div class="ttdeci">proto native void ParseAlertLevel(string name)</div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">AIBehaviourHLDataZombie2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00116">AIBehaviour.c:117</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html_a8e05b6fae443a8e5bd3f311e08fdfdf7"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#a8e05b6fae443a8e5bd3f311e08fdfdf7">AIBehaviourHLDataZombie2::m_fDamageToCrawl</a></div><div class="ttdeci">float m_fDamageToCrawl</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00118">AIBehaviour.c:118</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html_ab7e88bcf53c0b0320989901a27156ebe"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab7e88bcf53c0b0320989901a27156ebe">AIBehaviourHLDataZombie2::m_fCrawlProbability</a></div><div class="ttdeci">float m_fCrawlProbability</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00119">AIBehaviour.c:119</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html_ab8390fdada73f404d049dc5f53a50b36"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ab8390fdada73f404d049dc5f53a50b36">AIBehaviourHLDataZombie2::~AIBehaviourHLDataZombie2</a></div><div class="ttdeci">private void ~AIBehaviourHLDataZombie2()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00122">AIBehaviour.c:122</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html_ac423389ca01507f79c9d1263f6081f1e"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac423389ca01507f79c9d1263f6081f1e">AIBehaviourHLDataZombie2::OnParseConfig</a></div><div class="ttdeci">override void OnParseConfig()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00124">AIBehaviour.c:124</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_data_zombie2_html_ac96adbbc0ae3f1e9b869fb983bd1ab96"><div class="ttname"><a href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html#ac96adbbc0ae3f1e9b869fb983bd1ab96">AIBehaviourHLDataZombie2::AIBehaviourHLDataZombie2</a></div><div class="ttdeci">private void AIBehaviourHLDataZombie2()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00121">AIBehaviour.c:121</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html">AIBehaviourHLZombie2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00074">AIBehaviour.c:75</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_a021bc63d7d4eab5f9c038224b26cdbc7"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a021bc63d7d4eab5f9c038224b26cdbc7">AIBehaviourHLZombie2::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00087">AIBehaviour.c:87</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_a63e791f697cbe436a521de6151e720e4"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a63e791f697cbe436a521de6151e720e4">AIBehaviourHLZombie2::GetData</a></div><div class="ttdeci">AIBehaviourHLDataZombie2 GetData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00079">AIBehaviour.c:79</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_a72ea4e906c705bb96d5933bfe3d2cc9b"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a72ea4e906c705bb96d5933bfe3d2cc9b">AIBehaviourHLZombie2::AIBehaviourHLZombie2</a></div><div class="ttdeci">private void AIBehaviourHLZombie2()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00084">AIBehaviour.c:84</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_a9848cca5dc067cd7eafd97ed9f4e65fb"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#a9848cca5dc067cd7eafd97ed9f4e65fb">AIBehaviourHLZombie2::ShowDebugInfo</a></div><div class="ttdeci">void ShowDebugInfo()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00103">AIBehaviour.c:103</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_ac8ab58779bb3795bb322292e922825cb"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#ac8ab58779bb3795bb322292e922825cb">AIBehaviourHLZombie2::~AIBehaviourHLZombie2</a></div><div class="ttdeci">private void ~AIBehaviourHLZombie2()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00085">AIBehaviour.c:85</a></div></div>
<div class="ttc" id="aclass_a_i_behaviour_h_l_zombie2_html_af23c82ef8ca694fefbeb1af88a40a859"><div class="ttname"><a href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html#af23c82ef8ca694fefbeb1af88a40a859">AIBehaviourHLZombie2::Simulate</a></div><div class="ttdeci">override void Simulate(float timeDelta)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00097">AIBehaviour.c:97</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html">AIBehaviour.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
